Bug 1130199 - Review Request: kyua - Testing framework for infrastructure software
Summary: Review Request: kyua - Testing framework for infrastructure software
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn Persson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-08-14 14:17 UTC by Julio Merino
Modified: 2018-02-08 17:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-08 17:52:49 UTC


Attachments (Terms of Use)

Description Julio Merino 2014-08-14 14:17:59 UTC
Spec URL: http://portal.meroh.net/~jmmv/kyua.spec
SRPM URL: http://portal.meroh.net/~jmmv/kyua-0.10-1.fc20.src.rpm
Fedora Account System Username: jmmv

----- IMPORTANT -----
This new package is actually a replacement for the old kyua-cli and kyua-testers packages.  Upstream has merged both components into a single distfile and the packages should follow suit.  The spec file being submitted here is mostly a copy/paste of the kyua-cli.spec file with the corresponding adjustments.

I'd appreciate a clarification on the process to execute the correct replacement of the previous packages with this new one.
----- IMPORTANT -----

Description:

Kyua is a testing framework for infrastructure software, originally
designed to equip BSD-based operating systems with a test suite.  This
means that Kyua is lightweight and simple, and that Kyua integrates well
with various build systems and continuous integration frameworks.

Kyua features an expressive test suite definition language, a safe
runtime engine for test suites and a powerful report generation engine.

Kyua is for both developers and users, from the developer applying a
simple fix to a library to the system administrator deploying a new
release on a production machine.

Kyua is able to execute test programs written with a plethora of testing
libraries and languages.  The library of choice is ATF, for which Kyua
was originally designed, but simple, framework-less test programs and
TAP-compliant test programs can also be executed through Kyua.

Comment 1 Björn Persson 2017-06-15 15:39:40 UTC
Hello Julio, are you still around?

It's sad to see progress held up for years by a stalled review like this, just because a package should be renamed.

I have use for Kyua in my work, so I'll review this so that it can be upgraded. The links seem to be broken however, so I'll first need new links to the source package and spec file.

I would also need Kyua in EPEL 7. Would you mind making an EPEL 7 branch? I can maintain the EPEL 7 branch if you don't want to.

Comment 2 Julio Merino 2017-06-15 17:04:37 UTC
I guess I'd get back to this, but I don't have a Fedora install any longer nor the files around. It'll take me a few weeks to reconfigure everything (currently traveling) and getting back to speed. But I'm interested in getting this done!

Comment 3 Björn Persson 2017-12-29 09:52:41 UTC
Ping?

If you're no longer active in Fedora, then perhaps it would be better if I'd take over as package maintainer? You should be able to log in at https://src.fedoraproject.org/rpms/kyua-cli, access the Settings page, and use "add user" or "give project" to give me, "rombobeorn", access to the packages.

Or we could swap roles if you want. I could make a Kyua 0.13 package if you promise to review it.

If you'd rather proceed with this renaming review, then I still need to see the new source package.


Note You need to log in before you can comment on or make changes to this bug.